#
# spec file for package perl-LWP-UserAgent-Determined
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-LWP-UserAgent-Determined
Version:        1.07
Release:        1.1
%define cpan_name LWP-UserAgent-Determined
Summary:        a virtual browser that retries errors
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/LWP-UserAgent-Determined/
Source:         http://www.cpan.org/authors/id/A/AL/ALEXMV/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(LWP)
#BuildRequires: perl(HTTP::Headers)
#BuildRequires: perl(HTTP::Request)
#BuildRequires: perl(HTTP::Request::Common)
#BuildRequires: perl(LWP::UserAgent)
#BuildRequires: perl(LWP::UserAgent::Determined)
Requires:       perl(LWP)
%{perl_requires}

%description
This class works just like the LWP::UserAgent manpage (and is based on it,
by being a subclass of it), except that when you use it to get a web page
but run into a possibly-temporary error (like a DNS lookup timeout), it'll
wait a few seconds and retry a few times.

It also adds some methods for controlling exactly what errors are
considered retry-worthy and how many times to wait and for how many
seconds, but normally you needn't bother about these, as the default
settings are relatively sane.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog README

%changelog
